Bug 488096 - Review Request: rygel - A UPnP v2 Media Server
Review Request: rygel - A UPnP v2 Media Server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On: 454668
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 12:19 EST by Peter Robinson
Modified: 2009-06-11 17:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 17:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
caillon: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-03-02 12:19:25 EST
SPEC: http://pbrobinson.fedorapeople.org/rygel.spec
SRPM: http://pbrobinson.fedorapeople.org/rygel-0.2.2-1.fc10.src.rpm

Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server.
Comment 1 Michel Alexandre Salim 2009-03-02 13:29:10 EST
Looks like it's missing some build dependencies:

gupnp-vala
GConf2-devel
dbus-glib-devel
e2fsprogs-devel

The *.so files are presumably for internal use only? (thus, it's fine that ldconfig is not called)
Comment 2 Peter Robinson 2009-03-02 14:43:16 EST
SRPM: http://pbrobinson.fedorapeople.org/rygel-0.2.2-2.fc10.src.rpm

Updated. Spec is same location. I thought I had added at least some of those! The .so files are internal plugins so are only for internal.
Comment 3 Michel Alexandre Salim 2009-03-02 15:36:06 EST
OK, will review. Would you care to do a swap, by the way? This should be small and quick to do:

https://bugzilla.redhat.com/show_bug.cgi?id=487938

Thanks in advance!
Comment 4 Michel Alexandre Salim 2009-03-02 15:47:21 EST
rpmlint looks clean. For some reason, my F-10 machine is not generating debuginfo packages, so I'm getting warnings about unstripped binaries and libraries. Will test with Koji once gupnp-vala lands in Rawhide.

Let's try and look the other issues before then. The log from running rygel is attached below. Looks like:
DVB plugin:
- Does not provide an icon, as expected. probably harmless, it's
  an early release after all
- Some DBus problem?

Tracker:
- those isassassbasbii log messages are presumably debugging stuff, but I'm not sure where they're coming from (they do not appear in the source).

Is there a way to verify that this package is functional?

** (rygel:28698): DEBUG: rygel-plugin-loader.vala:106: Loaded plugin: '/usr/lib64/rygel-1.0/librygel-dvb.so'

** (rygel:28698): DEBUG: rygel-media-server-factory.vala:293: No icon provided by DVB.

** (rygel:28698): CRITICAL **: rygel-dvb-root-container.vala:60: Failed to fetch device groups: The name org.gnome.DVB was not provided by any .service files

** (rygel:28698): DEBUG: rygel-plugin-loader.vala:106: Loaded plugin: '/usr/lib64/rygel-1.0/librygel-media-tracker.so'


** (rygel:28698): CRITICAL **: rygel-tracker-category.vala:104: error getting items under category 'Images': Method "Query" with signature "isassassbasbii" on interface "org.freedesktop.Tracker.Search" doesn't exist


** (rygel:28698): CRITICAL **: rygel-tracker-category.vala:104: error getting items under category 'Music': Method "Query" with signature "isassassbasbii" on interface "org.freedesktop.Tracker.Search" doesn't exist


** (rygel:28698): CRITICAL **: rygel-tracker-category.vala:104: error getting items under category 'Videos': Method "Query" with signature "isassassbasbii" on interface "org.freedesktop.Tracker.Search" doesn't exist
Comment 5 Michel Alexandre Salim 2009-03-24 15:21:03 EDT
ping? it looks like Rawhide's gupnp-vala is older than F-10's (it's still not noarch). If you could rebuild an up-to-date version then we can get this review underway -- thanks.
Comment 6 Peter Robinson 2009-03-24 20:47:08 EDT
I thought that the noarch feature was one that was introduced with F11/rawhide so when I pushed it the F10 I removed that option, other than that the package should be the same.
Comment 7 Peter Robinson 2009-04-08 08:11:52 EDT
Any update on this review? It all builds fine in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=1285122
Comment 8 Peter Robinson 2009-04-12 17:44:06 EDT
Ping. I'd like to get this into rawhide in time for F11 feature freeze :)
Comment 9 Peter Robinson 2009-04-19 16:59:40 EDT
Ping.
Comment 10 Peter Robinson 2009-05-13 07:17:43 EDT
Michel, Any update?
Comment 11 Christopher Aillon 2009-05-13 17:27:44 EDT
It has been one over one month.  Peter, if you have not sent Michel direct mail yet, please do so.  If you do not receive a response in a week's time, please re-assign this to me.  I have strong interest in this package as I have DLNA hardware.
Comment 12 Peter Robinson 2009-05-13 17:38:49 EDT
Email sent.
Comment 13 Peter Robinson 2009-06-03 12:32:03 EDT
New SPEC/SRPM for a new upstream release
SPEC: http://pbrobinson.fedorapeople.org/rygel.spec
SRPM: http://pbrobinson.fedorapeople.org/rygel-0.3-1.fc11.src.rpm
Comment 14 Peter Robinson 2009-06-03 19:31:24 EDT
koji build on F12 rawhide is here 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1392690
Comment 15 Christopher Aillon 2009-06-04 11:18:17 EDT
Whoops, missed you assigning this to me.  Was waiting on you to actually ping me.  Will add this to my todo list now.
Comment 16 Lennart Poettering 2009-06-04 18:05:08 EDT
Would love to see this in Rawhide. Would make it much easier for me to test the new UPnP code in PulseAudio...
Comment 17 Christopher Aillon 2009-06-05 15:07:37 EDT
On F11, I see

error: Failed build dependencies:
	vala-devel >= 0.7 is needed by rygel-0.3-1.fc11.src
	gupnp-vala >= 0.5.4 is needed by rygel-0.3-1.fc11.src

I see there's a new version of vala in updates-testing, so grabbing that.  Do you have a newer version of gupnp-vala available?
Comment 18 Peter Robinson 2009-06-05 15:29:32 EDT
(In reply to comment #17)
> On F11, I see
> 
> error: Failed build dependencies:
>  vala-devel >= 0.7 is needed by rygel-0.3-1.fc11.src
>  gupnp-vala >= 0.5.4 is needed by rygel-0.3-1.fc11.src
> 
> I see there's a new version of vala in updates-testing, so grabbing that.  Do
> you have a newer version of gupnp-vala available?  

Not yet as I'm waiting for it all to push out, haven't had a chance to get the new vala builds tagged into build override. The f12 built one will function just fine on F11 though.
Comment 19 Christopher Aillon 2009-06-05 16:35:55 EDT
Okay, grabbing it, but I just tagged the newer vala into override if you want to get the gupnp builds done.
Comment 20 Christopher Aillon 2009-06-05 17:06:14 EDT
rpmlint output as required by package review guidelines:

rygel.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/rygel.schemas
rygel-devel.x86_64: W: no-documentation

MUST fix:

N/A. Package meets all requirements in the MUST section of the Package Review guidelines as of Fri, Jun 5, 2009.

SHOULD fix:

Please use the most preferred buildroot tag per http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

Additional Suggestion:
Please change your comment about the .la files.  .la files are not static libraries, they are libtool archives.
Comment 21 Peter Robinson 2009-06-05 17:32:12 EDT
Thanks Christopher, will fix up should and suggestions on commit.

New Package CVS Request
=======================
Package Name: rygel
Short Description: A UPnP v2 Media Server
Owners: pbrobinson
Branches: F-11 F-10
InitialCC:
Comment 22 Jason Tibbitts 2009-06-05 18:07:43 EDT
CVS done.
Comment 23 Peter Robinson 2009-06-05 18:27:02 EDT
Imported into cvs. F-12 build as follows:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1395963

filed rel-eng ticket 1914 for gupnp-vala dep for F-11 build
Comment 24 Peter Robinson 2009-06-11 17:17:11 EDT
Added to F11 as an update
https://admin.fedoraproject.org/updates/rygel-0.3-1.fc11

Note You need to log in before you can comment on or make changes to this bug.